package com.halomobi.sdk;

public class HlAdParameter {
    private int mWidth;
    private int mHeight;
    private String mSlotAdId;
    private int mType;

    private HlAdParameter(Builder builder) {
        this.mWidth = builder.width;
        this.mHeight = builder.height;
        this.mType = builder.type;
        this.mSlotAdId = builder.slotAdId;
    }

    public int getAdWidth() {
        return mWidth;
    }

    public int getAdHeight() {
        return mHeight;
    }

    public String getSlotAdId() {
        return mSlotAdId;
    }

    public int getType() {
        return mType;
    }

    public static class Builder {
        private int width;
        private int height;
        private String slotAdId;
        private int type;

        public Builder() {

        }

        public Builder setAdWidth(int width) {
            this.width = width;
            return this;
        }

        public Builder setAdHeight(int height) {
            this.height = height;
            return this;
        }

        public Builder setSlotAdId(String slotAdId) {
            this.slotAdId = slotAdId;
            return this;
        }

        public Builder setAdType(int type) {
            this.type = type;
            return this;
        }

        public HlAdParameter build() {
            return new HlAdParameter(this);
        }
    }
}
