package com.halomobi.sdk;

import android.app.Activity;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;

import androidx.annotation.Nullable;

import com.halomobi.hlinterface.IAdControl;
import com.halomobi.sdk.listener.RewardVideoListener;
import com.halomobi.network.request.ad.bean.Ad;
import com.halomobi.utils.HlRewardVideoManager;
import com.halomobi.utils.Utils;

/**
 * @author Feng Zhanao
 * @date 2019/3/8
 * @description
 */
public class RewardVideoActivity extends Activity {
    public static final String TAG = "RewardVideoActivity";
    private Ad mAd;
    private FrameLayout layout;
    /**
     * 按下开始时间
     */
    private long mDownTime;
    IAdControl mAdController;
    RewardVideoListener mRewardVideoListener;
    private boolean videoClose;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);
        mRewardVideoListener = HlRewardVideoManager.getInstance().getListener();
        if (checkNull()) {
            mRewardVideoListener.onPlayEnd();
            finish();
        } else {
            initBar();
            mAdController = new AdController(this);
            if (!TextUtils.isEmpty(mAd.reward_video.videoUrl)) {
                HlCustomView.startFullscreen(this, HlCustomView.class, mAd.reward_video.videoUrl, "", mAd.reward_video.orientation, new HlCustomView.VideoStateChangeListener() {
                    @Override
                    public void videoClose() {
                        videoClose = true;
                    }
                });
            }
        }
    }


    private void initBar() {
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
    }

    private boolean checkNull() {
        if (HlRewardVideoManager.getInstance().mAd == null || HlRewardVideoManager.getInstance().mAd.reward_video == null) {
            return true;
        } else {
            mAd = HlRewardVideoManager.getInstance().mAd;
            if (Ad.SCREEN_ORIENTATION_PORTRAIT.equals(mAd.reward_video.orientation)) {
                setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
            } else {
                setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);
            }
            return false;
        }
    }

    @Override
    protected void onPause() {
        super.onPause();
        HlCustomView.goOnPlayOnPause();
        Utils.showNavKey(this);
    }

    @Override
    protected void onResume() {
        super.onResume();
        HlCustomView.goOnPlayOnResume();
        Utils.hideNavKey(this);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        HlRewardVideoManager.getInstance().onDestroy();
        Utils.showNavKey(this);
        mAd = null;
        HlCustomView.releaseAllVideos();
    }

}
